%define anolis_release 2

# Perform optional tests
%bcond_with perl_Clone_enables_optional_test

Name:           perl-Clone
Version:        0.46
Release:        %{anolis_release}%{?dist}
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
Summary:        Recursively copy perl data types
URL:            https://metacpan.org/release/Clone
Source0:        https://cpan.metacpan.org/modules/by-module/Clone/Clone-%{version}.tar.gz
# Build
BuildRequires:  gcc make findutils coreutils
BuildRequires:  perl-devel perl-interpreter perl-generators
BuildRequires:  perl(warnings) perl(ExtUtils::MakeMaker)
# Run-time:
BuildRequires:  perl(XSLoader) perl(strict) perl(Exporter) perl(AutoLoader)
# Tests:
BuildRequires:  perl(utf8) perl(vars) perl(B) perl(B::COW) >= 0.004
BuildRequires:  perl(Test::More) >= 0.88
%if %{with perl_Clone_enables_optional_test}
# Optional tests: 
BuildRequires:  perl(Data::Dumper) perl(Devel::Peek) perl(Hash::Util::FieldHash)
BuildRequires:  perl(Storable) perl(Taint::Runtime) perl(Scalar::Util)
%endif
# Dependencies

%{?perl_default_filter}

%description
This module provides a 'clone()' method which makes recursive copies of
nested hash, array, scalar and reference types, including tied variables
and objects.

clone() takes a scalar argument and duplicates it. To duplicate lists,
arrays or hashes, pass them in by reference, e.g.

    my $copy = clone (\@array);
    # or
    my %copy = %{ clone (\%hash) };

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n Clone-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%{perl_vendorarch}/auto/Clone/
%{perl_vendorarch}/Clone.pm
%{_mandir}/man3/Clone.3*

%files doc
%doc Changes README.md

%changelog
* Sat Apr 15 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.46-2
- Optimize the spec file

* Thu Feb 02 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.46-1
- init from upstream
